@extends('adminlte::page')

@section('title', 'Pesquisa de Titulos')
    
@section('content_header')

@section('content')
<div class="card card-outline card-success">
    <div class="card-body">
        <form action="{{ route('titulos.search') }}" class="form form-inline" method="POST">
        @csrf
        <input type="text" name="filter" placeholder="Filtrar:" class="form-control" value="{{ $filters['filter'] ?? '' }}">
            <button type="submit" class="btn btn-info">Pesquisar</button>
        </form>

        {{-- @if (isset($filters))
        <p><strong>Resultados para: </strong>{{ $filters }}</p>
        @endif --}}


    </div>
  </div>

    <div class="card card-outline card-success">
        <div class="card-header">
          <h3 class="card-title"><b>Listagem dos Títulos</b></h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>NÚMERO TÍTULO</th>
                        <th>DHC</th>
                        <th>DHM</th>
                        <th>LOTE_ID</th>
                        <th>GLEBA_ID</th>
                        <th>ANO TITULO</th>
                        <th width="100">AÇÕES</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($titulos as $titulo)
                    <tr>
                        <td>{{ $titulo->numero_titulo }}</td>
                        <td>{{ $titulo->dhc }}</td>
                        <td>{{ $titulo->dhm }}</td>
                        <td>{{ $titulo->lote_id }}</td>
                        <td>{{ $titulo->gleba_id }}</td>
                        <td>{{ $titulo->ano_titulo }}</td>
                    <td>
                    <a href="{{ route('titulos.edit', $titulo->id) }}" class="badge bg-green">Editar</a>
                    <a href="{{ route('titulos.show', $titulo->id) }}" class="badge bg-green">Detalhes</a>
                    </td>
                    </tr>
                        
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="card-footer">
            {!! $titulos->appends($filters)->links() !!}
        </div>
      </div>
@endsection 


   